# window - Neırssi documentation

Skip to content
Hide navigation sidebar
Hide table of contents sidebar
Back to top
Page source
Toggle table of contents sidebar

Note

You are reading the help for the development version. The current release version is Neırssi 1.3.

# window

## Subcommands

### window/split window creation

- window new

- window close

- window list

- window hide

- window show

### window changing

- window refnum

- window goto

- window next

- window last

- window previous

- window left

- window right

### window attribute manipulation

- window level

- window immortal

- window server

- window number

- window name

- window history

- window theme

- window stick

- window hidelevel

### window items

- window item prev

- window item next

- window item goto

- window item move

### window moving/number changing

- window number

- window move prev

- window move next

- window move first

- window move last

- window move

- window move left

- window move right

### split window resizing

- window grow

- window shrink

- window size

- window balance

### split window navigation

- window up

- window down

- window left

- window right

### split window moving

- window stick

- window move left

- window move right

- window move up

- window move down

### logging

- window log

- window logfile

## Parameters

`-right`: | Makes the command work on the width instead of height, or create the split window to the right instead of top.
`-directional`: | Set the split window in the given direction to the current one active, or move the current window to the sticky group of the split window in the given direction. (If no sticky group remains, the split window collapses.)

Add the required arguments for the given command. Without arguments, the details (size, immortality, levels, server, name and sticky group) of the currently active window are displayed. If used with a number as argument, same as WINDOW REFNUM.

## Description

Manipulates the window layout and positioning attributes.

## Examples

    /WINDOW CLOSE
    /WINDOW ITEM MOVE 10
    /WINDOW GOTO 15
    /WINDOW GOTO ACTIVE
    /WINDOW GOTO mike
    /WINDOW GOTO #irssi
    /WINDOW NEW HIDDEN
    /WINDOW LOG OFF
    /WINDOW LOG ON ~/logs/debug.log
    /WINDOW LEVEL -ALL +NOTICES
    /WINDOW LOGFILE ~/logs/notices.log

## See also

JOIN, LEVELS, LOG, QUERY